Results 1 to 4 of 4

Thread: failed to find the Simutronics launcher

  1. #1
    Join Date
    Apr 2011
    Location
    Stark Industries
    Posts
    332

    Default failed to find the Simutronics launcher

    So, I'm coming back to GS after several months, as I always seem to do. I'm trying to install lich and, as I always seem to do, I'm running into some issues.

    I installed the SGE Launcher, Stormfront, Ruby and then Lich. Through SGE, Stormfront starts up just fine, but it doesn't see/connect/recognize lich. When I start up Lich, the Link tab is useless, as both options (Website & SGE Launch Chain) are grayed out. So, turning to the Game Entry tab, I input all the necessary info, hit Connect, select my character and lich closes. That's it. Nothing else happens, no windows, errors or anything. I check the latest debug file and see this:

    2017-11-25 15:51:49: info: Lich 4.6.37
    2017-11-25 15:51:49: info: Ruby 2.4.2
    2017-11-25 15:51:49: info: i386-mingw32
    2017-11-25 15:51:49: info: no force-mode info given
    D:/Games/lich-4.6.37/lich/lich.rbw:10453:in `block in <main>': 'Gdk::Pixbuf' has been deprecated. Use 'GdkPixbuf::Pixbuf'.
    C:/Ruby24/lib/ruby/gems/2.4.0/gems/gdk_pixbuf2-3.2.1-x86-mingw32/lib/gdk_pixbuf2/deprecated.rb:48:in `new': GdkPixbuf::Pixbuf.new(data, copy_pixels) is deprecated. Use Gio::Resource instead.
    2017-11-25 15:51:49: error in Gtk.queue: undefined method `initialize_from_inline' for #<GdkPixbuf::Pixbuf:0x05638de8>
    Did you mean? initialize_new_from_inline
    C:/Ruby24/lib/ruby/gems/2.4.0/gems/gdk_pixbuf2-3.2.1-x86-mingw32/lib/gdk_pixbuf2/pixbuf.rb:45:in `initialize'
    C:/Ruby24/lib/ruby/gems/2.4.0/gems/gdk_pixbuf2-3.2.1-x86-mingw32/lib/gdk_pixbuf2/deprecated.rb:48:in `new'
    C:/Ruby24/lib/ruby/gems/2.4.0/gems/gdk_pixbuf2-3.2.1-x86-mingw32/lib/gdk_pixbuf2/deprecated.rb:48:in `new'
    D:/Games/lich-4.6.37/lich/lich.rbw:10453:in `block in <main>'
    D:/Games/lich-4.6.37/lich/lich.rbw:607:in `block in queue'
    D:/Games/lich-4.6.37/lich/lich.rbw:12407:in `main'
    D:/Games/lich-4.6.37/lich/lich.rbw:12407:in `<main>'
    2017-11-25 15:52:04: error: failed to find the Simutronics launcher

    Once again, through SGE, Stormfront opens up just fine, but it doesn't trigger Lich. Lich too opens up just fine, but it doesn't trigger Stormfront. Seeing that last line "failed to find Simutronics launcher", I suspect I need to find out how to point lich to the location of the launcher. Any ideas on how to do this? Any help would be greatly appreciated.
    "Well, I'd love to stay and chat, but you're a total bitch." ~Stewie Griffin

  2. #2

    Default

    posted in other thread too -
    2017-11-25 15:51:49: info: Ruby 2.4.2

    Wrong ruby version, you want 2.0.0
    https://www.ruby-lang.org/en/news/20...p648-released/

  3. #3

    Default

    Straight from downloads at lichrproject.org
    Don't download Ruby 2.1 or 2.2 or a 64 bit version of Ruby. The gems that Lich needs have not yet been precompiled for these versions. (If you know how to compile them and are willing to go through the trouble, these versions will probably work.)
    Don't download a version of Ruby older than 2.0. It won't work with Lich 4.6.
    W3 4R3 4N0NYM0U5.
    W3 4R3 L3610N.
    W3 D0 N07 F0R61V3.
    W3 D0 N07 F0R637.

  4. #4
    Join Date
    Apr 2011
    Location
    Stark Industries
    Posts
    332

    Default

    Don't I feel like a dumbass... I completely missed that. I saw the 2.x bit and assumed it meant anything that started with "2.x" and wasn't "64-bit".

    Downloading and installing the correct version, everything is working fine. Amazing how smoothly things operate when you actually read the instructions, no? When I go in through SGE it still doesn't activate Lich, but when I log in using the Lich shortcut, it all works. A slight sacrifice for the sake of functionality.

    Thanks, gents!
    Last edited by Ragepriest; 11-26-2017 at 06:32 AM.
    "Well, I'd love to stay and chat, but you're a total bitch." ~Stewie Griffin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •